/*
 * $Id: dyntip.cc,v 1.1.1.1 1999/11/24 18:22:40 lord Exp $
 *
 * KLAVG Simple applet showing load average graph on KDE toolbar.
 *
 * Vadim Zaliva <lord@crocodile.org>
 * http://www.crocodile.org/
 * 
 * Copyright (C) 1999 Vadim Zaliva
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include "dyntip.h"
#include <iostream.h> // debug

DynamicTip::DynamicTip(QWidget *p, const QString &t):QToolTip(p)
{
    parent      = p;
    current_tip = t;
}

DynamicTip::~DynamicTip()
{
}

void DynamicTip::maybeTip(const class QPoint &)
{
    tip(parent->rect(),current_tip);
}

void DynamicTip::setText(const QString &t)
{
    current_tip=t;
    tip(parent->rect(),current_tip);
}
